diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
index abed9d0c..deb04625 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_add.py
@@ -12,55 +12,58 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 
 
-class ForeignServerAddTestCase(BaseTestGenerator):
-    """
-    This class will add foreign server under database node.
-    """
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for foreign server node.
-        ('Check FSRV Node', dict(url='/browser/foreign_server/obj/'))
-    ]
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignServerAdd:
+    def test_foreign_server_add(self, request, context_of_tests):
+        """
+        When sending a HTTP request to add foreign server under database node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_server/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data['db_name']
+        schema_name = schema_data['schema_name']
+        self.extension_name = 'cube'
+        fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:8])
+        extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, schema_name)
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      fdw_name)
+        self.tester = context_of_tests['test_client']
 
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(ForeignServerAddTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
-        self.fdw_name = "fdw_{0}".format(str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
-            self.server, self.db_name, self.extension_name, self.schema_name)
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            "Database connected.",
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, fdw_name) | \
+            should.not_be.none
 
-    def runTest(self):
-        """This function will fetch foreign data wrapper present under test
-         database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
         db_user = self.server["username"]
         data = {
             "fsrvacl": [
@@ -95,16 +98,16 @@ class ForeignServerAddTestCase(BaseTestGenerator):
             "name": "test_fsrv_add_%s" % (str(uuid.uuid4())[1:8])
         }
         response = self.tester.post(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.fdw_id) + '/',
+            '/' + str(fdw_id) + '/',
             data=json.dumps(data),
             content_type='html/json')
-        self.assertEquals(response.status_code, 200)
+
+        response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added foreign
-         data wrapper."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester, self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
index 4e5c70ed..7a165466 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_delete.py
@@ -11,72 +11,82 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fsrv_utils
 
 
-class ForeignServerDeleteTestCase(BaseTestGenerator):
-    """This class will add foreign server under FDW node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for foreign server node.
-        ('Check FSRV Node', dict(url='/browser/foreign_server/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(ForeignServerDeleteTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignServerDelete:
+    def test_foreign_server_delete(self, request, context_of_tests):
+        """
+        When sending a HTTP request to
+        delete foreign server under database node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_server/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data["db_name"]
+        self.schema_name = schema_data['schema_name']
+        self.extension_name = 'cube'
         self.fdw_name = "test_fdw_%s" % (str(uuid.uuid4())[1:8])
         self.fsrv_name = "test_fsrv_%s" % (str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
+        extension_utils.create_extension(
             self.server, self.db_name, self.extension_name, self.schema_name)
         self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
                                            self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-
-    def runTest(self):
-        """This function will fetch foreign server present under test
-         database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
-                                               self.fsrv_name)
-        if not fsrv_response:
-            raise Exception("Could not find FSRV.")
+        fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                         self.fsrv_name, self.fdw_name)
+
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            "Database connected.",
+            msg='Could not connect to database.')
+
+        # fdw_utils.verify_fdw(self.server, self.db_name, self.fdw_name) | \
+        #     should.not_be.none
+
+        fdw_utils.verify_fdw(self.server, self.db_name, self.fdw_name) | \
+            should.not_be.equal.to(None, msg='Could not find FDW.')
+
+        fsrv_utils.verify_fsrv(self.server, self.db_name, self.fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find FSRV.')
+
         delete_response = self.tester.delete(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
             '/' + str(self.fdw_id) + '/' +
-            str(self.fsrv_id),
+            str(fsrv_id),
             follow_redirects=True)
-        self.assertEquals(delete_response.status_code, 200)
+
+        delete_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(self.tester,
+                                                  self.server_id,
+                                                  self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
index c2fcffbb..4b500b93 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_get.py
@@ -11,67 +11,73 @@ from __future__ import print_function
 
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fsrv_utils
 
 
-class ForeignServerGetTestCase(BaseTestGenerator):
-    """This class will add foreign server under FDW node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for foreign server node.
-        ('Check FSRV Node', dict(url='/browser/foreign_server/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(ForeignServerGetTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
-        self.fsrv_name = "test_fsrv_add_%s" % (str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
-            self.server, self.db_name, self.extension_name, self.schema_name)
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-
-    def runTest(self):
-        """This function will fetch foreign server present under test
-        database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignServerGet:
+    def test_foreign_server_get(self, request, context_of_tests):
+        """
+        When sending a HTTP request to get foreign server under database node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_server/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data['db_name']
+        schema_name = schema_data['schema_name']
+        self.extension_name = 'cube'
+        fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
+        fsrv_name = "test_fsrv_add_%s" % (str(uuid.uuid4())[1:8])
+        extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, schema_name)
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      fdw_name)
+        fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                         fsrv_name, fdw_name)
+
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            'Database connected.',
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, fdw_name) | \
+            should.not_be.none
+
         fsrv_response = self.tester.get(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.fdw_id) + '/' + str(self.fsrv_id),
+            '/' + str(fdw_id) + '/' + str(fsrv_id),
             content_type='html/json')
-        self.assertEquals(fsrv_response.status_code, 200)
+
+        fsrv_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
index 77c5ce25..0cd39fc1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/tests/test_foreign_servers_put.py
@@ -12,74 +12,80 @@ from __future__ import print_function
 import json
 import uuid
 
+import pytest
+from grappa import should
+
 from pgadmin.browser.server_groups.servers.databases.extensions.tests import \
     utils as extension_utils
-from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers.\
+from pgadmin.browser.server_groups.servers.databases.foreign_data_wrappers. \
     tests import utils as fdw_utils
 from pgadmin.browser.server_groups.servers.databases.tests import \
     utils as database_utils
-from pgadmin.utils.route import BaseTestGenerator
-from regression import parent_node_dict
 from regression.python_test_utils import test_utils as utils
 from . import utils as fsrv_utils
 
 
-class ForeignServerPutTestCase(BaseTestGenerator):
-    """This class will add foreign server under FDW node."""
-    skip_on_database = ['gpdb']
-    scenarios = [
-        # Fetching default URL for foreign server node.
-        ('Check FSRV Node', dict(url='/browser/foreign_server/obj/'))
-    ]
-
-    def setUp(self):
-        """ This function will create extension and foreign data wrapper."""
-        super(ForeignServerPutTestCase, self).setUp()
-        self.schema_data = parent_node_dict['schema'][-1]
-        self.server_id = self.schema_data['server_id']
-        self.db_id = self.schema_data['db_id']
-        self.db_name = parent_node_dict["database"][-1]["db_name"]
-        self.schema_name = self.schema_data['schema_name']
-        self.extension_name = "cube"
-        self.fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
-        self.fsrv_name = "test_fsrv_put_%s" % (str(uuid.uuid4())[1:8])
-        self.extension_id = extension_utils.create_extension(
-            self.server, self.db_name, self.extension_name, self.schema_name)
-        self.fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
-                                           self.fdw_name)
-        self.fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
-                                              self.fsrv_name, self.fdw_name)
-
-    def runTest(self):
-        """This function will update foreign server present under test
-        database."""
-        db_con = database_utils.connect_database(self,
-                                                 utils.SERVER_GROUP,
-                                                 self.server_id,
-                                                 self.db_id)
-        if not db_con["info"] == "Database connected.":
-            raise Exception("Could not connect to database.")
-        fdw_response = fdw_utils.verify_fdw(self.server, self.db_name,
-                                            self.fdw_name)
-        if not fdw_response:
-            raise Exception("Could not find FDW.")
-        fsrv_response = fsrv_utils.verify_fsrv(self.server, self.db_name,
-                                               self.fsrv_name)
-        if not fsrv_response:
-            raise Exception("Could not find FSRV.")
+@pytest.mark.skip_databases(['gpdb'])
+class TestForeignServerPut:
+    def test_foreign_server_get(self, request, context_of_tests):
+        """
+        When sending a HTTP request to get foreign server under database node
+        It returns 200 status
+        """
+
+        request.addfinalizer(self.tearDown)
+
+        url = '/browser/foreign_server/obj/'
+
+        schema_data = context_of_tests['server_information']
+        self.server = context_of_tests['server']
+        self.server_id = schema_data['server_id']
+        self.db_id = schema_data['db_id']
+        self.db_name = schema_data['db_name']
+        schema_name = schema_data['schema_name']
+        self.extension_name = 'cube'
+        fdw_name = "fdw_%s" % (str(uuid.uuid4())[1:8])
+        fsrv_name = "test_fsrv_put_%s" % (str(uuid.uuid4())[1:8])
+        extension_utils.create_extension(
+            self.server, self.db_name, self.extension_name, schema_name)
+        fdw_id = fdw_utils.create_fdw(self.server, self.db_name,
+                                      fdw_name)
+        fsrv_id = fsrv_utils.create_fsrv(self.server, self.db_name,
+                                         fsrv_name, fdw_name)
+
+        self.tester = context_of_tests['test_client']
+
+        db_con = database_utils.client_connect_database(
+            self.tester,
+            utils.SERVER_GROUP,
+            self.server_id,
+            self.db_id,
+            self.server['db_password'])
+
+        db_con["info"] | should.be.equal.to(
+            'Database connected.',
+            msg='Could not connect to database.')
+
+        fdw_utils.verify_fdw(self.server, self.db_name, fdw_name) | \
+            should.not_be.equal.to(None, msg='Could not find FDW.')
+
+        fsrv_utils.verify_fsrv(self.server, self.db_name, fsrv_name) | \
+            should.not_be.equal.to(None, msg='Could not find FSRV.')
+
         data = {"description": "This is foreign server update comment",
-                "id": self.fsrv_id}
+                "id": fsrv_id}
+
         put_response = self.tester.put(
-            self.url + str(utils.SERVER_GROUP) + '/' +
+            url + str(utils.SERVER_GROUP) + '/' +
             str(self.server_id) + '/' + str(self.db_id) +
-            '/' + str(self.fdw_id) + '/' +
-            str(self.fsrv_id), data=json.dumps(data),
+            '/' + str(fdw_id) + '/' +
+            str(fsrv_id), data=json.dumps(data),
             follow_redirects=True)
-        self.assertEquals(put_response.status_code, 200)
+
+        put_response.status_code | should.be.equal.to(200)
 
     def tearDown(self):
-        """This function disconnect the test database and drop added extension
-         and dependant objects."""
         extension_utils.drop_extension(self.server, self.db_name,
                                        self.extension_name)
-        database_utils.disconnect_database(self, self.server_id, self.db_id)
+        database_utils.client_disconnect_database(
+            self.tester, self.server_id, self.db_id)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/__init__.py
index 54417f53..590026ad 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/foreign_data_wrappers/foreign_servers/user_mapping/tests/__init__.py
@@ -6,11 +6,3 @@
 # This software is released under the PostgreSQL Licence
 #
 ##########################################################################
-
-from pgadmin.utils.route import BaseTestGenerator
-
-
-class UserMappingGeneratorTestCase(BaseTestGenerator):
-
-    def runTest(self):
-        return []
